#
# spec file for package rubygem-prawn-icon
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-prawn-icon
Version:        3.1.0
Release:        1.7
%define mod_name prawn-icon
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/jessedoyle/prawn-icon/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Provides icon fonts for PrawnPDF
License:        GPL-2.0-only OR GPL-3.0-only
Group:          Development/Languages/Ruby

%description
Prawn::Icon provides various icon fonts including
FontAwesome, PaymentFont and Foundation Icons
for use with the Prawn PDF toolkit.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md COPYING LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.1.0
  see installed CHANGELOG.md
  [#] 3.1.0 - September 1, 2022
  * Update our CI matrix to include recent versions of Prawn and Ruby! Thanks @petergoldstein! (#55)
  * Resolve a few code smells that were flagged by Rubocop.
  * [Material Design Icons](https://materialdesignicons.com) are now supported! Currently version `7.0.96` is included. Thanks @maneex! [https://github.com/jessedoyle/prawn-icon/pull/59](Pull Request).
  * Memoize calls to `Prawn::Icon::FontData#path` to improve performance.
  [#]### Material Design Icons
  All Material Design Icons use the font prefix of `mdi`. That means that you're able to reference an icon as follows:
  ```ruby
  require 'prawn/icon'
  Prawn::Document.generate('icons.pdf') do |pdf|
    pdf.icon 'mdi-beer', size: 60
  end
  ```
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.0
  see installed CHANGELOG.md
  [#] 3.0.0 - November 10, 2020
  * **breaking change** - Fix incorrect layout and line-wrapping logic for inline-formatted icons. Please see [Inline Format Changes](#inline-format-changes) for more details.
  * Add a `#formatted_icon_box` method to retain the previous inline icon behaviour.
  * Allow `#formatted_icon_box` to accept absolute positioning parameters (`x`, `y`, and `at`). Thanks @navinspm!
  * Update fontawesome from version `5.11.2` to `5.15.1`.
  * See FontAwesome's [upgrade guide](https://github.com/FortAwesome/Font-Awesome/blob/57005cea6da7d1c67f3466974aecd25485f60452/UPGRADING.md) for more details.
  * Introduce a configuration mechanism so that the font directory can be customized as follows:
  ```ruby
  Prawn::Icon.configure do |config|
    config.font_directory = '/path/to/fonts'
  end
  ```
  * Deprecate the global variables of `Prawn::Icon::Base::FONTDIR` and `Prawn::Icon::Compatibility::SHIMS`. Use `Prawn::Icon.configuration.font_directory` and `Prawn::Icon::Compatibility.shims` instead.
  * Use `Gem::Specification#full_gem_path` to get the root path of the gem directory to resolve https://github.com/jessedoyle/prawn-icon/issues/45.
  [#]### Inline Format Changes
  As noted in https://github.com/jessedoyle/prawn-icon/issues/49, `Prawn::Icon` did not correctly respect page boundaries for inline-formatted icons.
  The fix for the issue requires `Prawn::Icon` to use the inline layout and formatting logic implemented in `Prawn`.
  This change has ramifications to the `#icon` and `#inline_icon` method return values, but most applications should not require changes.
  Changes are listed below:
  * `#icon` - returns `nil` with the `inline_format: true` parameter.
  * `#inline_icon` - returns `nil` (instead of a `Prawn::Text::Formatted::Box` instance).
  You can call `#formatted_icon_box` to retain the previous inline icon functionality.
* Thu Aug 27 2020 Petr Vorel <pvorel@suse.cz>
- Initial version
